JOURNAL_UPDATE_S(9)

NAME
journal_update_superblock - Update journal sb on disk.

SYNOPSIS

void journal_update_superblock (journal_t * journal, int wait);

ARGUMENTS

journal
    The journal to update.

wait
    Set to '0' if you don't want to wait for IO completion.

DESCRIPTION

Update a journal's dynamic superblock fields and write it to disk, optionally waiting for the IO to complete.

AUTHORS
Roger Gammans <rgammans@computer-surgery.co.uk>, Stephen Tweedie <sct@redhat.com>.